<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: Main Page</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li class="current"><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<h1>LASi Documentation</h1>
<p>
<h2><a class="anchor" name="purpose">
Purpose</a></h2>
<a class="el" href="namespaceLASi.html">LASi</a> is Copyright (C) 2003, 2004, 2006 by Larry Siden.<p>
<a class="el" href="namespaceLASi.html">LASi</a> is hosted on <a href="http://www.unifont.org">http://www.unifont.org</a><p>
<a class="el" href="namespaceLASi.html">LASi</a> provides a C++ output stream interface for writing Postscript documents containing any of the world's scripts supported by Unicode 4.0 and by Pango. Right-to-left scripts like Hebrew and Arabic are accomodated as easily as left-to-right scripts. Complex text layout (CTL) scripts such as Devanagari, Thai, Lao and Tibetan are supported to the extent provided by Pango and by the OpenType fonts installed on your system.<p>
Postscript's <b>show</b> operator and font dictionaries can only provide glyphs for up to 255 code points and thus are hopelessly inadequate for many of the world's scripts, much less any kind of multilingual or scientific text encoded in Unicode.<p>
<a class="el" href="namespaceLASi.html">LASi</a> works around the limitations of Postscript's built-in font technology by generating a Postscript routine for each glyph in a string. A <a class="el" href="namespaceLASi.html">LASi</a> user writes a Postscript program much as he or she may have done in the past, but now uses LASi's <b>show()</b> method instead of the Postscript <b>show</b> operator. The user simply passes UTF-8 text strings directly to LASi's show() method.<p>
To draw the text string, <a class="el" href="namespaceLASi.html">LASi</a> generates a sequence of calls to LASi-generated Postscript glyph routines. Glyph routines are only generated for glyphs that are actually used in the text. In this respect, <a class="el" href="namespaceLASi.html">LASi</a> is efficient even for Chinese, Japanese, or Korean (CJK).<p>
In addition to being efficient, the Postscript code and routines created by <a class="el" href="namespaceLASi.html">LASi</a> are intelligible to human readers which facilitates debugging of Postscript programs.<h2><a class="anchor" name="usage">
Usage</a></h2>
Please view the examples provided in the <b>examples</b> directory to see how <a class="el" href="namespaceLASi.html">LASi</a> is used. The only header your program need include is <b><a class="el" href="LASi_8h.html" title="Defines oPostscriptStream and PostscriptDocument and various stream manipulators...">LASi.h</a></b>. View the examples' <b>Makefiles</b> to see how a program may link with libLASi. <hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:19 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
